Private Member Functions

# NIHObject Class Reference

Inheritance diagram for NIHObject:

## Private Member Functions
bool | IsInspectable (uint index) const
| Is the item with the given index inspectable?
uint | GetParent (uint index) const
| Get the parent "window_number" of a given instance.
const void * | GetInstance (uint index) const
| Get the instance given an index.
const void * | GetSpec (uint index) const
| Get (NewGRF) specs given an index.
void | SetStringParameters (uint index) const
| Set the string parameters to write the right data for a STRINGn.
uint32 | GetGRFID (uint index) const
| Get the GRFID of the file that includes this item.
uint | Resolve (uint index, uint var, uint param, bool *avail) const
| Resolve (action2) variable for a given index.

## Detailed Description

Definition at line 381 of file newgrf_debug_data.h.

## Member Function Documentation

uint32 NIHObject::GetGRFID | ( | uint | index | ) | const`[inline, private, virtual]`

Get the GRFID of the file that includes this item.

Parameters:

  | index | index to check.

Returns:
  GRFID of the item. 0 means that the item is not inspectable.

Implements NIHelper.

Definition at line 387 of file newgrf_debug_data.h.

References ObjectSpec::GetByTile(), ObjectSpec::grf_prop, GRFFilePropsBase< Tcnt >::grffile, and IsInspectable().

const void* NIHObject::GetInstance | ( | uint | index | ) | const`[inline, private, virtual]`

Get the instance given an index.

Parameters:

  | index | the index to get the instance for.

Returns:
  the instance.

Implements NIHelper.

Definition at line 384 of file newgrf_debug_data.h.

References Object::GetByTile().

uint NIHObject::GetParent | ( | uint | index | ) | const`[inline, private, virtual]`

Get the parent "window_number" of a given instance.

Parameters:

  | index | the instance to get the parent for.

Returns:
  the parent's window_number or UINT32_MAX if there is none.

Implements NIHelper.

Definition at line 383 of file newgrf_debug_data.h.

References Object::GetByTile(), GetInspectWindowNumber(), GSF_FAKE_TOWNS, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index.

const void* NIHObject::GetSpec | ( | uint | index | ) | const`[inline, private, virtual]`

Get (NewGRF) specs given an index.

Parameters:

  | index | the index to get the specs for for.

Returns:
  the specs.

Implements NIHelper.

Definition at line 385 of file newgrf_debug_data.h.

References ObjectSpec::GetByTile().

bool NIHObject::IsInspectable | ( | uint | index | ) | const`[inline, private, virtual]`

Is the item with the given index inspectable?

Parameters:

  | index | the index to check.

Returns:
  true iff the index is inspectable.

Implements NIHelper.

Definition at line 382 of file newgrf_debug_data.h.

References ObjectSpec::GetByTile(), ObjectSpec::grf_prop, and GRFFilePropsBase< Tcnt >::grffile.

Referenced by GetGRFID().

uint NIHObject::Resolve | ( | uint | index,
|  | uint | var,
|  | uint | param,
|  | bool * | avail |
| ) |  |  | const`[inline, private, virtual]`

Resolve (action2) variable for a given index.

Parameters:

  | index | The (instance) index to resolve the variable for.
  | var | The variable to actually resolve.
  | param | The varaction2 0x60+x parameter to pass.
  | avail | Return whether the variable is available.

Returns:
  The resolved variable's value.

Implements NIHelper.

Definition at line 389 of file newgrf_debug_data.h.

References Object::GetByTile(), ObjectSpec::GetByTile(), ObjectResolverObject::GetScope(), ScopeResolver::GetVariable(), and VSG_SCOPE_SELF.

void NIHObject::SetStringParameters | ( | uint | index | ) | const`[inline, private, virtual]`

Set the string parameters to write the right data for a STRINGn.

Parameters:

  | index | the index to get the string parameters for.

Implements NIHelper.

Definition at line 386 of file newgrf_debug_data.h.

References INVALID_STRING_ID, and NIHelper::SetObjectAtStringParameters().

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h